## org.apache.batik.swing
Class JSVGCanvas.ScrollLeftAction

    java.lang.Object
      javax.swing.AbstractAction
          org.apache.batik.swing.JSVGCanvas.AffineAction
              org.apache.batik.swing.JSVGCanvas.ScrollAction
                  org.apache.batik.swing.JSVGCanvas.ScrollLeftAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Enclosing class:
  JSVGCanvas

public class JSVGCanvas.ScrollLeftAction
extends JSVGCanvas.ScrollAction

A swing action to scroll the canvas to the left, by a fixed amount

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JSVGCanvas.ScrollLeftAction(int inc)`

Methods inherited from class org.apache.batik.swing.JSVGCanvas.AffineAction
`actionPerformed`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGCanvas.ScrollLeftAction

    public JSVGCanvas.ScrollLeftAction(int inc)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.